package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物品对象 t_goods
 * 
 * @author ruoyi
 * @date 2024-02-20
 */
public class TGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 物品名称 */
    @Excel(name = "物品名称")
    private String goodsName;

    /** 型号规格 */
    @Excel(name = "型号规格")
    private String goodsType;

    /** 单位 */
    @Excel(name = "单位")
    private String goodsUnit;

    /** 装备数量 */
    @Excel(name = "装备数量")
    private Long goodsNum;

    /** 入库年限 YMD */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入库年限 YMD", width = 30, dateFormat = "yyyy-MM-dd")
    private Date upTime;

    /** 存储年限（年） */
    @Excel(name = "存储年限", readConverterExp = "年=")
    private Long saveYear;

    /** 报废数量 */
    @Excel(name = "报废数量")
    private Long scrapNum;

    /** 剩余数量 */
    @Excel(name = "剩余数量")
    private Long leaveNum;

    /** 盘库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "盘库时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date makeTime;

    /** 所属仓库 */
    @Excel(name = "所属仓库")
    private Long kufangId;

    private String startTime;

    private String endTime;

    private Long loginUserId;

    private Long roleId;

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Long getLoginUserId() {
        return loginUserId;
    }

    public void setLoginUserId(Long loginUserId) {
        this.loginUserId = loginUserId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGoodsName(String goodsName) 
    {
        this.goodsName = goodsName;
    }

    public String getGoodsName() 
    {
        return goodsName;
    }
    public void setGoodsType(String goodsType) 
    {
        this.goodsType = goodsType;
    }

    public String getGoodsType() 
    {
        return goodsType;
    }
    public void setGoodsUnit(String goodsUnit) 
    {
        this.goodsUnit = goodsUnit;
    }

    public String getGoodsUnit() 
    {
        return goodsUnit;
    }
    public void setGoodsNum(Long goodsNum) 
    {
        this.goodsNum = goodsNum;
    }

    public Long getGoodsNum() 
    {
        return goodsNum;
    }
    public void setUpTime(Date upTime) 
    {
        this.upTime = upTime;
    }

    public Date getUpTime() 
    {
        return upTime;
    }
    public void setSaveYear(Long saveYear) 
    {
        this.saveYear = saveYear;
    }

    public Long getSaveYear() 
    {
        return saveYear;
    }
    public void setScrapNum(Long scrapNum) 
    {
        this.scrapNum = scrapNum;
    }

    public Long getScrapNum() 
    {
        return scrapNum;
    }
    public void setLeaveNum(Long leaveNum) 
    {
        this.leaveNum = leaveNum;
    }

    public Long getLeaveNum() 
    {
        return leaveNum;
    }
    public void setMakeTime(Date makeTime) 
    {
        this.makeTime = makeTime;
    }

    public Date getMakeTime() 
    {
        return makeTime;
    }
    public void setKufangId(Long kufangId) 
    {
        this.kufangId = kufangId;
    }

    public Long getKufangId() 
    {
        return kufangId;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("goodsName", getGoodsName())
            .append("goodsType", getGoodsType())
            .append("goodsUnit", getGoodsUnit())
            .append("goodsNum", getGoodsNum())
            .append("upTime", getUpTime())
            .append("saveYear", getSaveYear())
            .append("scrapNum", getScrapNum())
            .append("leaveNum", getLeaveNum())
            .append("makeTime", getMakeTime())
            .append("remark", getRemark())
            .append("kufangId", getKufangId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
